Bug 1123826 - [Upgrade] After Upgrade from Havana to Icehouse LBaas doesn't work - "cannot find group id for 'nogroup' "
Summary: [Upgrade] After Upgrade from Havana to Icehouse LBaas doesn't work - "cannot ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Jakub Libosvar
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 11:15 UTC by Toni Freger
Modified: 2016-04-26 18:47 UTC (History)
7 users (show)

Fixed In Version: openstack-neutron-2014.1.1-6.el6ost openstack-neutron-2014.1.1-6.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 17:59:56 UTC


Attachments (Terms of Use)
lbaas-agent.log (3.37 MB, text/x-log)
2014-07-28 11:15 UTC, Toni Freger
no flags Details
lbaas-agent.ini (1.29 KB, text/plain)
2014-07-28 11:16 UTC, Toni Freger
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1119 normal SHIPPED_LIVE Moderate: openstack-neutron security, bug fix, and enhancement update 2014-09-02 21:58:42 UTC
OpenStack gerrit 110255 None None None Never
Launchpad 1349767 None None None Never

Description Toni Freger 2014-07-28 11:15:23 UTC
Created attachment 921753 [details]
lbaas-agent.log

Description of problem:
LBaaS doen't work after upgrade to Icehouse 

Version-Release number of selected component (if applicable):
Havana from http://download.eng.bos.redhat.com/rel-eng/OpenStack/4.0/2014-07-24.1
Icehouse from http://download.eng.bos.redhat.com/rel-eng/OpenStack/5.0-RHEL-6/2014-07-23.2

Haproxy the same RPM for Havana & Icehouse - haproxy-1.4.24-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Install Havana with LB
2.Configure pool/VIP/members/healthmonitor 
3.The load balancer works properly
4.Upgrade via http://docbuilder.usersys.redhat.com/22776/
 4.1  Method All at once
5.After upgrade within /var/lib/neutron/lbaas file (that created before the upgrade) the user_group is changed to "nogroup" even though in lbaas_agent.ini it still configured "haproxy" 

http://pastebin.test.redhat.com/224458

Actual results:
LB doesn't work - the log and the lbaas_agent.ini are attached 

Expected results:


Additional info:

In Icehouse after fresh installation the user_group is haproxy:
http://pastebin.test.redhat.com/224461

Comment 1 Toni Freger 2014-07-28 11:16:21 UTC
Created attachment 921755 [details]
lbaas-agent.ini

Comment 3 Jakub Libosvar 2014-07-28 12:16:58 UTC
Problem is that user_group in lbaas_agent.ini needs to be in [haproxy] section. Weird thing is that according source code of Havana it was the same. I'm trying to reproduce locally.

Comment 4 Nir Yechiel 2014-07-28 12:19:58 UTC
I guess this is a dup of 1122724?

Comment 5 Jakub Libosvar 2014-07-28 12:23:33 UTC
(In reply to Nir Yechiel from comment #4)
> I guess this is a dup of 1122724?

I don't think so. Bug 1122724 deals with RHEL 7 and new deployment while this (bug 1123826) is on RHEL 6.5 and it used to work in RHOS 4 but after upgrade to RHOS 5 it doesn't work with the same config file.

Comment 10 errata-xmlrpc 2014-09-02 17:59:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1119.html


Note You need to log in before you can comment on or make changes to this bug.